=== modified file 'test/test_framework/test.py'
--- test/test_framework/test.py	2008-01-24 04:59:27 +0000
+++ test/test_framework/test.py	2008-01-24 22:19:58 +0000
@@ -4,14 +4,24 @@
 
 from parse_tute import *
 
-def print_results((name, results)):
-    """ Print the output of a testsuite nicely """
-    print name
-    for (case_name, test_results) in results:
-        print "Case: " + case_name
-        for test_result in test_results:
-            print "  " + test_result
-    print 
+def print_results(problem):
+    print "Problem: %s" %problem['name']
+    if 'critical_error' in problem:
+        error = problem['critical_error']
+        print "Critical error: %s - %s" %(error['name'], error['detail'])
+    else:
+        for case in problem['cases']:
+            print "Case: %s" %case['name']
+            if 'exception' in case:
+                error = case['exception']
+                print "Exception %s - %s" %(error['name'], error['detail'])
+            else:
+                for part in case['parts']:
+                    if part['passed']:
+                        print "  Passed: %s" %part['description']
+                    else:
+                        print "  Failed: %s -- %s" %(part['description'],part['error_message'])
+    print
 
 for i in range(1, len(sys.argv)):
     basename = sys.argv[i]

=== modified file 'test/test_framework/tests.py'
--- test/test_framework/tests.py	2008-01-24 22:16:41 +0000
+++ test/test_framework/tests.py	2008-01-24 22:19:58 +0000
@@ -4,9 +4,6 @@
 
 from parse_tute import *
 
-def str_exception(test_exception_obj):
-    string = ""
-    
 def print_results(problem):
     print "Problem: %s" %problem['name']
     if 'critical_error' in problem:

